summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-19 19:51:29 +0000
committerJim Meyering <jim@meyering.net>2002-04-19 19:51:29 +0000
commitda5debc9958083332a1baa46117cb25b7751e7c0 (patch)
treedc8e143b2e3185c4ccca86261e5521602daa04ca /tests
parent9f79f8d7e0a3bf95b677e42f69393d7608803db2 (diff)
downloadcoreutils-da5debc9958083332a1baa46117cb25b7751e7c0.tar.xz
don't fiddle with TMPDIR
Diffstat (limited to 'tests')
-rwxr-xr-xtests/rm/r-111
1 files changed, 5 insertions, 6 deletions
diff --git a/tests/rm/r-1 b/tests/rm/r-1
index 7c21557db..53fce735f 100755
--- a/tests/rm/r-1
+++ b/tests/rm/r-1
@@ -2,19 +2,18 @@
test=r-1
-# TMPDIR should be an absolute dir for this test.
-# FIXME: enforce it
-: ${TMPDIR=/tmp}
-
if test "$VERBOSE" = yes; then
set -x
rm --version
fi
pwd=`pwd`
-tmp=$TMPDIR/t-rm.$$
+
+# $tmp should be an absolute dir for this test.
+tmp=$pwd/`echo "$0"|sed 's,.*/,,'`.tmp
+
trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
-trap 'exit $?' 1 2 13 15
+trap '(exit $?); exit' 1 2 13 15
framework_failure=0